import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import path from "path";

function resolve_path(dir) {
  return path.join(__dirname, "./", dir);
}
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  resolve: {
    //别名，代码引入时方便引入
    alias: {
      "@": resolve_path("src"),
    },
  },
  server: {
    port: 3001,
    proxy: {
      // 选项写法
      "/apaas/data": {
        target: "https://apaas5.wodcloud.com/apaas/data", // 所要代理的目标地址
        rewrite: (path) => path.replace(/^\/apaas\/data/, ""), // 重写传过来的path路径，比如 `/api/index/1?id=10&name=zs`（注意:path路径最前面有斜杠（/），因此，正则匹配的时候不要忘了是斜杠（/）开头的；选项的 key 也是斜杠（/）开头的）
        changeOrigin: true, // true/false, Default: false - changes the origin of the host header to the target URL
        secure: false, // 解决证书缺失问题
      },
      "/apaas/system": {
        target: "https://apaas5.wodcloud.com/apaas/system",
        rewrite: (path) => path.replace(/^\/apaas\/system/, ""),
        changeOrigin: true,
        secure: false,
      },
      "/apaas/service": {
        target: "https://apaas5.wodcloud.com/apaas/service",
        rewrite: (path) => path.replace(/^\/apaas\/service/, ""),
        changeOrigin: true,
        secure: false,
      },
      "/apaas/common": {
        target: "https://apaas5.wodcloud.com/apaas/common",
        rewrite: (path) => path.replace(/^\/apaas\/common/, ""),
        changeOrigin: true,
        secure: false,
      },
      "/apaas/manage/ui": {
        target: "https://apaas5.wodcloud.com/apaas/manage/ui",
        rewrite: (path) => path.replace(/^\/apaas\/manage\/ui/, ""),
        changeOrigin: true,
        secure: false,
      },
      "/apaas/portal/v5": {
        target: "https://apaas5.wodcloud.com/apaas/portal/v5",
        rewrite: (path) => path.replace(/^\/apaas\/portal\/v5/, ""),
        changeOrigin: true,
        secure: false,
      },
      "/apaas/application/v5": {
        target: "https://apaas5.wodcloud.com/apaas/application/v5",
        rewrite: (path) => path.replace(/^\/apaas\/application\/v5/, ""),
        changeOrigin: true,
        secure: false,
      },
    },
  },
});
